Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5644 - middle button paste does not work on gnome-terminal in rh6.1
Summary: middle button paste does not work on gnome-terminal in rh6.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-06 16:49 UTC by djb6
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-17 21:46:29 UTC


Attachments (Terms of Use)

Description djb6 1999-10-06 16:49:28 UTC
The highlight text followed by a middle button press does
not result in the text being pasted.

In addition the delete key is functioning as a backspace
key, also unique to Gnome-terminal

This works with other programs tested, netscape, gnp, rxvt.

xev reports the correct info for each button option.

Hope this is enough info

Comment 1 Stephen John Smoogen 1999-10-07 20:35:59 UTC
I am unable to duplicate. Pasting works perfectly here. Could you add
the settings you have in Gnome-terminal? The backspace/del is a
selectable option. [Also was this an upgrade or a base install to
6.1?]


------- Additional Comments From   10/27/99 07:16 -------
The Middle button paste is fixed by an upgrade to October-gnome The
delete key is still functioning as a backspace though. (Reported to
the Gnome site)

The Keyboard is a UK keyboard. The mouse a serial genius netmouse
emulating three buttons.

Comment 2 djb6 1999-10-27 14:05:59 UTC
It is a base install via ftp

Comment 3 Elliot Lee 1999-11-17 21:46:59 UTC
It sounds like the upcoming October GNOME errata packages for RHL 6.1 will fix
your problem.

The backspace/del problem is most likely because of your different keyboard
mapping. You might want to try using the gnome-terminal preferences to see if
swapping will fix it.


Note You need to log in before you can comment on or make changes to this bug.